> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wadial.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List token timeline

> List stored events for a token.

Use the timeline for debugging pairing, reconnects, inbound messages, send results, receipts, and stream failures.

<RequestExample>
  ```bash cURL theme={null}
  curl "https://api.wadial.com/api/v1/sessions/{sessionId}/timeline" \
    -H "Authorization: Bearer $WADIAL_API_KEY"
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "data": [
      {
        "event": "message.receipt",
        "sessionId": "019eff5e-e24e-74ce-a9bb-ccd97e6946b6",
        "data": {},
        "createdAt": "2026-06-29T17:10:00.000Z"
      }
    ]
  }
  ```
</ResponseExample>
